class InventosStreak::Field < InventosStreak::Base
  attr_accessor :name, :type, :key

  belongs_to :pipeline

  def add_tags tags
    if self.type == "TAG"
      InventosStreak.post_json self.final_path, {
        tagSettings: {
          tags: tags.map do |tag|
            { tag: tag, added: true }
          end
        }
      }
    else
      raise ArgumentError.new("Cannot add tags to a field not of type 'TAG'")
    end
  end

  private

    def self.path
      "fields"
    end
end